Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.config
Class DotNetLocalizerFactory

    java.lang.Object
      net.sf.saxon.lib.LocalizerFactory
          com.saxonica.config.DotNetLocalizerFactory

All Implemented Interfaces:
  Serializable

    public class DotNetLocalizerFactory

extends LocalizerFactory
implements Serializable

Default factory for number/date localizers for the .NET platform. This has built-in knowledge of the available localizations, it does not attempt dynamic loading. Note that these are available only in Saxon-PE and Saxon-SE

See Also:
  Serialized Form

Constructor Summary
`DotNetLocalizerFactory(Configuration config)`

Method Summary
`DotNetLocalizerFactory` | `copy()` Copy the state of this factory to create a new LocalizerFactory
`Numberer` | `getNumberer(String language, String country)` Get the numberer for a given language
`void` | `setLanguageProperties(String lang, Properties properties)` Set properties for a particular language.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DotNetLocalizerFactory

    public DotNetLocalizerFactory(Configuration config)

Method Detail

### setLanguageProperties

    public void setLanguageProperties(String lang,
                                      Properties properties)

  Set properties for a particular language. The properties available are specific to the LocalizerFactory in use. Default implementation does nothing.

  Overrides:
    `setLanguageProperties` in class `LocalizerFactory`
  Parameters:
    `lang` - the language
    `properties` - properties of this language
  Since:
    9.2

### getNumberer

    public Numberer getNumberer(String language,
                                String country)

  Get the numberer for a given language

  Specified by:
    `getNumberer` in class `LocalizerFactory`
  Parameters:
    `language` - the language code (for example "de" or "en-GB"
    `country` - the country, as used in format-date(). This is not the country associated with the language, but the one associated with the date to be formatted. It is primarily used to determine a civil time zone name.
  Returns:
    the appropriate numberer, or null if none is available (in which case the English numberer will be used)

### copy

    public DotNetLocalizerFactory copy()

  Copy the state of this factory to create a new LocalizerFactory

  Overrides:
    `copy` in class `LocalizerFactory`
  Returns:
    a copy of this LocalizerFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.